summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-editors/mg/Manifest1
-rw-r--r--app-editors/mg/mg-20210609.ebuild47
2 files changed, 48 insertions, 0 deletions
diff --git a/app-editors/mg/Manifest b/app-editors/mg/Manifest
index b2a757c194cf..e0d60eb81c43 100644
--- a/app-editors/mg/Manifest
+++ b/app-editors/mg/Manifest
@@ -1,2 +1,3 @@
DIST mg-20200723.tar.gz 152271 BLAKE2B 5fcbe2699da60c68a0c464bb337741d7797e9da3e2ab148a821aed46f661e5f5efbe7ceb14b153dcdd51185d22d0a2b2c7ad3525fc531192ecc0c0697e483b77 SHA512 8e481cf4981b93dba95b3b318f44dda15e580962216d452ce2fddcd19b86e4686673ba84d092bfaa540533b227428bd3bc9e6becda69be881d930937b0ea7add
DIST mg-20210314.tar.gz 152749 BLAKE2B eec9740db1a543025450746913c1b07f0646f370906665122c7f5dd1ecc46b5cab102bd29aa51afb13972f4f17118ea20c33bb619e8dc4bc8982f8423ed189d6 SHA512 816b1bf8aec97dd790b0d5bf8836d46cb87f60d0bda94c2aecce4f8a6b8599ab2e90805fa6b129c9e40b54b340e33a47fec97c60e1b59b7706aa357d58b0e3f6
+DIST mg-20210609.tar.gz 156850 BLAKE2B ed8061aa808a8570f24198fb32fa3d24d66decdd07dab871502456d734a8d7867f384122361294bda0155bc3fecea80983fd41c00a2ffe02d00e380bf94e2f43 SHA512 a17b470e5e192c1f62700c7b78b15c9403b25528a7d6603fda0b6e618196150329fe4889cedfc8dbf621053d45b78294ed5c2766604aaa4c3ddbaec545693043
diff --git a/app-editors/mg/mg-20210609.ebuild b/app-editors/mg/mg-20210609.ebuild
new file mode 100644
index 000000000000..c89934a8b50d
--- /dev/null
+++ b/app-editors/mg/mg-20210609.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="MicroGnuEmacs, a port from the BSDs"
+HOMEPAGE="https://homepage.boetes.org/software/mg/
+ https://github.com/hboetes/mg"
+SRC_URI="https://github.com/hboetes/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="livecd"
+
+RDEPEND="sys-libs/ncurses:0
+ !elibc_FreeBSD? ( >=dev-libs/libbsd-0.7.0 )"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+src_prepare() {
+ # fix path to tutorial in man page
+ sed -i -e "s:doc/mg/:doc/${PF}/:" mg.1 || die
+ eapply_user
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)" \
+ CFLAGS="${CFLAGS}" \
+ PKG_CONFIG="$(tc-getPKG_CONFIG)"
+}
+
+src_install() {
+ dobin mg
+ doman mg.1
+ dodoc README tutorial
+ # don't compress the tutorial, otherwise mg cannot open it
+ docompress -x /usr/share/doc/${PF}/tutorial
+}
+
+pkg_postinst() {
+ if use livecd; then
+ [[ -e ${EROOT}/usr/bin/emacs ]] || ln -s mg "${EROOT}"/usr/bin/emacs
+ fi
+}